%define major 0.9
Name:           nux
Version:        %{major}.48
Release:        1%{?dist}
Summary:        Visual rendering toolkit for real-time applications

Group:          User Interface/X
License:        LGPLv2 or LGPLv3
URL:            http://launchpad.net/nux
Source0:        http://launchpad.net/nux/0.9/%{version}/+download/%{name}_%{version}.orig.tar.gz

BuildRequires:  glib2-devel >= 2.25.14
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  libpng-devel >= 1.2.44
BuildRequires:  cairo-devel >= 1.9.14
BuildRequires:  libsigc++20-devel
BuildRequires:  glew-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  pango-devel
BuildRequires:  pcre-devel
BuildRequires:  pciutils-devel
BuildRequires:  doxygen

# Fix building with gcc46, https://bugs.launchpad.net/nux/+bug/745392
Patch0:         %{name}-%{version}-fix-build-with-gcc46.patch

%description
Nux is a graphical user interface toolkit for applications that mixes OpenGL
hardware acceleration with high quality visual rendering.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}

%package devel-docs
Summary:        Developer documentation for %{name}
Requires:       %{name}-devel = %{version}-%{release}

%description devel-docs
Developer documentation for %{name}

%prep
%setup -q
%patch0 -p1 -b .fix-build-with-gcc46
find . \( -name '*.cpp' -o -name '*.h' \) -exec chmod -x '{}' \;

%build
%configure \
            --enable-documentation=yes \
            --enable-examples=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT \( -name '*.la' -o -size 0 \) -delete

#Install doc
mkdir $RPM_BUILD_ROOT%{_datadir}/%{name}/html
cp -pr doc/* $RPM_BUILD_ROOT%{_datadir}/%{name}/html

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.gpl AUTHORS
%{_libdir}/libnux-%{major}.so.*
%{_libdir}/libnux-core-%{major}.so.*
%{_libdir}/libnux-graphics-%{major}.so.*
%{_libdir}/libnux-image-%{major}.so.*
%{_libexecdir}/unity_support_test
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{major}

%files devel
%defattr(-,root,root,-)
%doc COPYING COPYING.gpl AUTHORS
%{_includedir}/Nux-%{major}
%{_libdir}/libnux-%{major}.so
%{_libdir}/libnux-core-%{major}.so
%{_libdir}/libnux-graphics-%{major}.so
%{_libdir}/libnux-image-%{major}.so
%{_libdir}/pkgconfig/nux-%{major}.pc
%{_libdir}/pkgconfig/nux-core-%{major}.pc
%{_libdir}/pkgconfig/nux-graphics-%{major}.pc
%{_libdir}/pkgconfig/nux-image-%{major}.pc

%files devel-docs
%defattr(-,root,root,-)
%doc COPYING COPYING.gpl AUTHORS
%{_datadir}/%{name}/gputests
%{_datadir}/%{name}/html

%changelog
* Mon May 09 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.9.48-1
- Initial Fedora package
